libperl-prereqscanner-perl 1.024-1 source package in Ubuntu

Changelog

libperl-prereqscanner-perl (1.024-1) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * debian/control: Use HTTPS transport protocol for Vcs-Git URI

  [ gregor herrmann ]
  * debian/copyright: change Copyright-Format 1.0 URL to HTTPS.
  * Remove Jonathan Yu from Uploaders. Thanks for your work!

  [ Alex Muntada ]
  * Remove inactive pkg-perl members from Uploaders.

  [ Salvatore Bonaccorso ]
  * Update Vcs-* headers for switch to salsa.debian.org

  [ gregor herrmann ]
  * debian/watch: use uscan version 4.

  [ Debian Janitor ]
  * Bump debhelper from old 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Submit.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).
  * Remove constraints unnecessary since stretch:
    + Build-Depends-Indep: Drop versioned constraint on
      libcpan-meta-requirements-perl, libtest-simple-perl and perl.
    + libperl-prereqscanner-perl: Drop versioned constraint on
      libcpan-meta-requirements-perl and perl in Depends.

  [ gregor herrmann ]
  * Import upstream version 1.024.
  * Update upstream email address.
  * Update years of packaging copyright.
  * Update (build) dependencies.
  * Declare compliance with Debian Policy 4.6.0.
  * Set Rules-Requires-Root: no.
  * Drop unneeded version constraints from (build) dependencies.
  * Annotate test-only build dependencies with <!nocheck>.

 -- gregor herrmann <email address hidden>  Sun, 26 Sep 2021 13:01:52 +0200

Upload details

Uploaded by:
Debian Perl Group
Uploaded to:
Sid
Original maintainer:
Debian Perl Group
Architectures:
all
Section:
perl
Urgency:
Medium Urgency

See full publishing history Publishing

Series Pocket Published Component Section
Jammy release universe perl

Builds

Jammy: [FULLYBUILT] amd64

Downloads

File Size SHA-256 Checksum
libperl-prereqscanner-perl_1.024-1.dsc 2.8 KiB b789840e717aac6f377ff4ada6fa026b83e769d2ba4436b3908a182737df75f5
libperl-prereqscanner-perl_1.024.orig.tar.gz 28.1 KiB 30ebc3871882806589bd8f4d92689113e149c9a596bfd930eba745d54f1a5b64
libperl-prereqscanner-perl_1.024-1.debian.tar.xz 4.0 KiB b0e1b6b7e52f731eda2e3738e4394a74b9c76ea461744b313a21c7b636ea763f

Available diffs

No changes file available.

Binary packages built by this source

libperl-prereqscanner-perl: module for extracting prerequisites from Perl code

 Perl::PrereqScanner is a Perl module that extracts distribution prerequisites
 from files through various means. The extraction is not perfect but provides
 a best-guess approximation.
 .
 It currently detects the following:
  * plain lines beginning with use or require in perl modules and scripts
  * regular inheritance declared with the base and parent pragmata
  * Moose inheritance declared with the extends keyword
  * Moose roles included with the with keyword